Skip to main content
PATCH
Update Customer Note

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
customers.write
Grants permission to create and modify customer data.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

customerId
string<uuid>
required

The ID of the customer that the notes belong to. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

noteId
string<uuid>
required

The ID of the customer note.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The note to update.

Model Class: UpdateNote

noteBody
string
required

The text in the customer note.

Response